import type { ExtractPropTypes } from 'vue';
import type Marquee from './marquee.vue';
export declare const marqueeProps: {
    readonly column: import("ll-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 0, boolean>;
    readonly direction: import("ll-plus/es/utils").EpPropFinalized<readonly [import("vue").PropType<"reverse" | "normal">, import("vue").PropType<(e: number) => 'normal' | 'reverse'>], unknown, unknown, "normal", boolean>;
    readonly rotate: import("ll-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 0, boolean>;
    readonly gradient: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    readonly gradientColor: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "rgba(255, 255, 255, 1)", boolean>;
    readonly gradientWidth: import("ll-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 100, boolean>;
    readonly vertical: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    readonly spacing: import("ll-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 0, boolean>;
    readonly left: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "20%", boolean>;
    readonly top: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "20%", boolean>;
};
export declare const marqueeEmits: {
    readonly complete: (e: boolean) => boolean;
    readonly 'loop-complete': (e: boolean) => boolean;
    readonly pause: (e: boolean) => boolean;
    readonly resume: (e: boolean) => boolean;
};
export type MarqueeProps = ExtractPropTypes<typeof marqueeProps>;
export type MarqueeInstance = InstanceType<typeof Marquee>;
